// RELATED SOFTWARE: Scilab >= 5.5.0
// PACKAGE  : animaGIF() : https://atoms.scilab.org/toolboxes/animaGIF
// VERSION  : 1.0 - 2019-07-22
// AUTHOR   : Samuel GOUGEON
// COPYRIGHT: Samuel GOUGEON -  2019
// LICENSE  : CeCILL : http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
//
// DISCLAIMER: This toolbox is provided as is, with NO WARRANTY of any kind.
//             Use it to your own risks & responsability.
//

function animaGIFinHTML(path, clock)
    // Utility function for tests and examples
    //
    // path: path of the animated GIF to be seen
    // clock: boolean: %T to see and use the chronometer
    html = TMPDIR+"/animaGIF/"+basename(path)+".html"
    if ~isdef("clock","l") | ~clock then
        mputl("<html><body><img src="""+path+"""></body></html>", html);
    else
        t = mgetl(animaGIFpath()+"tests/animaGIF.html");
        t($-2) = strsubst(t($-2), "anima.gif", path);
        mputl(t, html);
    end
    winopen(html)
endfunction
